Data Fields

# arm_iir_lattice_instance_q15 Struct Reference

Instance structure for the Q15 IIR lattice filter. More...

`#include <arm_math.h>`

## Data Fields
uint16_t | numStages
q15_t * | pState
q15_t * | pkCoeffs
q15_t * | pvCoeffs

## Detailed Description

Instance structure for the Q15 IIR lattice filter.

Definition at line 3754 of file arm_math.h.

## Field Documentation

uint16_t arm_iir_lattice_instance_q15::numStages

number of stages in the filter.

Definition at line 3756 of file arm_math.h.

q15_t* arm_iir_lattice_instance_q15::pState

points to the state variable array. The array is of length numStages+blockSize.

Definition at line 3757 of file arm_math.h.

q15_t* arm_iir_lattice_instance_q15::pkCoeffs

points to the reflection coefficient array. The array is of length numStages.

Definition at line 3758 of file arm_math.h.

q15_t* arm_iir_lattice_instance_q15::pvCoeffs

points to the ladder coefficient array. The array is of length numStages+1.

Definition at line 3759 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines